<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XSSFEvenHeader (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XSSFEvenHeader (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFEvenHeader.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFEvenFooter.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFFactory.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFEvenHeader.html"
               target="_top">Frames</a></li>
        <li><a href="XSSFEvenHeader.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xssf.usermodel</div>
    <h2 title="Class XSSFEvenHeader" class="title">Class XSSFEvenHeader</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFHeaderFooter.html"
                       title="class in org.apache.poi.xssf.usermodel.extensions">org.apache.poi.xssf.usermodel.extensions.XSSFHeaderFooter</a>
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.xssf.usermodel.XSSFEvenHeader</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/Header.html"
                           title="interface in org.apache.poi.ss.usermodel">Header</a>, <a
                            href="../../../../../org/apache/poi/ss/usermodel/HeaderFooter.html"
                            title="interface in org.apache.poi.ss.usermodel">HeaderFooter</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">XSSFEvenHeader</span>
extends <a href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFHeaderFooter.html"
           title="class in org.apache.poi.xssf.usermodel.extensions">XSSFHeaderFooter</a>
implements <a href="../../../../../org/apache/poi/ss/usermodel/Header.html"
              title="interface in org.apache.poi.ss.usermodel">Header</a></pre>
                <div class="block"><p>
                    Even page header value. Corresponds to even printed pages. Even page(s) in
                    the sheet may not be printed, for example, if the print area is specified to
                    be a range such that it falls outside an even page's scope. If no even header
                    is specified, then odd header value is assumed for even page headers.
                </p>
                    <p>
                        The even header is activated by the "Different Even/Odd" Header/Footer property for the sheet.
                        If this property is not set, the even header is ignored, and the odd footer is used instead.
                    </p>
                    <p>
                        Creating an even header or footer sets this property by default, so all you need to do to
                        get an even header or footer to display is to create it. Likewise, if both the even header
                        and footer are usnset, then this property is unset, and the odd header and footer are used
                        for even pages.
                    </p></div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFEvenHeader.html#XSSFEvenHeader-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTHeaderFooter-">XSSFEvenHeader</a></span>(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTHeaderFooter&nbsp;headerFooter)</code>
                                    <div class="block">Create an instance of XSSFEvenHeader from the supplied XML
                                        bean.
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFEvenHeader.html#getText--">getText</a></span>()</code>
                                    <div class="block">Get the content text representing this header</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFEvenHeader.html#setText-java.lang.String-">setText</a></span>(java.lang.String&nbsp;text)</code>
                                    <div class="block">Set a text for the header.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.xssf.usermodel.extensions.XSSFHeaderFooter">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.xssf.usermodel.extensions.<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFHeaderFooter.html"
                                        title="class in org.apache.poi.xssf.usermodel.extensions">XSSFHeaderFooter</a>
                                </h3>
                                <code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFHeaderFooter.html#areFieldsStripped--">areFieldsStripped</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFHeaderFooter.html#getCenter--">getCenter</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFHeaderFooter.html#getHeaderFooter--">getHeaderFooter</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFHeaderFooter.html#getLeft--">getLeft</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFHeaderFooter.html#getRight--">getRight</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFHeaderFooter.html#getValue--">getValue</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFHeaderFooter.html#setAreFieldsStripped-boolean-">setAreFieldsStripped</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFHeaderFooter.html#setCenter-java.lang.String-">setCenter</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFHeaderFooter.html#setLeft-java.lang.String-">setLeft</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFHeaderFooter.html#setRight-java.lang.String-">setRight</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFHeaderFooter.html#stripFields-java.lang.String-">stripFields</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.usermodel.Header">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.ss.usermodel.<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Header.html"
                                        title="interface in org.apache.poi.ss.usermodel">Header</a></h3>
                                <code><a href="../../../../../org/apache/poi/ss/usermodel/Header.html#getCenter--">getCenter</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Header.html#getLeft--">getLeft</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Header.html#getRight--">getRight</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Header.html#setCenter-java.lang.String-">setCenter</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Header.html#setLeft-java.lang.String-">setLeft</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Header.html#setRight-java.lang.String-">setRight</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XSSFEvenHeader-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTHeaderFooter-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XSSFEvenHeader</h4>
                                <pre>protected&nbsp;XSSFEvenHeader(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTHeaderFooter&nbsp;headerFooter)</pre>
                                <div class="block">Create an instance of XSSFEvenHeader from the supplied XML bean. If
                                    an even
                                    header is created, The property "DifferentOddEven" is set for this sheet as well.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>headerFooter</code> -</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSheet.html#getEvenHeader--"><code>XSSFSheet.getEvenHeader()</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getText--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getText</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getText()</pre>
                                <div class="block">Get the content text representing this header</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFHeaderFooter.html#getText--">getText</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFHeaderFooter.html"
                                                title="class in org.apache.poi.xssf.usermodel.extensions">XSSFHeaderFooter</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>text</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setText-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setText</h4>
                                <pre>public&nbsp;void&nbsp;setText(java.lang.String&nbsp;text)</pre>
                                <div class="block">Set a text for the header. If null, unset the value. If unsetting and
                                    there is no
                                    Even Footer for this sheet, the "DifferentEvenOdd" property for this sheet is
                                    unset.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFHeaderFooter.html#setText-java.lang.String-">setText</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFHeaderFooter.html"
                                                title="class in org.apache.poi.xssf.usermodel.extensions">XSSFHeaderFooter</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>text</code> - - a string representing the header.</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFHeaderFooter.html"
                                           title="class in org.apache.poi.xssf.usermodel.extensions"><code>to see how to
                                            create a string with Header/Footer
                                            Formatting Syntax</code></a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFEvenHeader.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFEvenFooter.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFFactory.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFEvenHeader.html"
               target="_top">Frames</a></li>
        <li><a href="XSSFEvenHeader.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
